import React, { FC } from 'react';
import { useRole } from 'hooks/useRole';
import { Roles } from 'roles/userRoles';
import { ReservationsListByWeek } from 'components/Dashboard/ReservationPage/ReservationList/ReservationsListByWeek';
import { ReservationList } from 'components/Dashboard/ReservationPage/ReservationList/ReservationList';

export const ReservationListSwitcher: FC = () => {
  const [role] = useRole();

  return (
    <>
      {role === Roles.operator ? (
        <ReservationsListByWeek />
      ) : (
        <ReservationList />
      )}
    </>
  );
};
